Skip to main content

Move a folder

Moves a folder to a specified parent folder. If the parent parameter is null, the folder will be moved to the root level.

Parameters

parent
nullable string
Unique identifier for the folder in which the folder will be moved. The folder must exist within the current workspace and must not be archived. If null, the folder will be moved to the root level.

Returns

Returns the updated folder object if the move succeeded. Throws an error if the folder does not exist or is archived.

post
/api/folders/{id}/move
curl -X POST https://{workspace}.kitchen.co/api/folders/{id}/move \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"archived_at": null,
"created_at": "2024-03-12T14:18:37+00:00",
"id": "fo_19b9108c92d98f81224ece44",
"name": "New Folder",
"description": null,
"updated_at": "2024-03-12T14:18:37+00:00",
"visibility": "shared"
}